<?php
	//Get system name
	if(file_exists("backend/name.txt") && file_get_contents("backend/name.txt") != "")
	{
		$sysname=file_get_contents("backend/name.txt") . " ";
	}
	else
	{
		$sysname="";
	}
?>
<?php
	//Open session
	if(file_exists("backend/altsesstore.txt") && file_get_contents("backend/altsesstore.txt") == "yes" && file_exists("backend/altsesstorepath.txt") && file_exists(file_get_contents("backend/altsesstorepath.txt")) && is_readable(file_get_contents("backend/altsesstorepath.txt")) && is_writable(file_get_contents("backend/altsesstorepath.txt")))
	{
		session_save_path(file_get_contents("backend/altsesstorepath.txt"));
	}
	session_start();
?>
<?php
	//Administrative check function (on a separate page)
	if(file_exists("backend/securitycheck.php"))
	{
		include ("backend/securitycheck.php");
	}
	else
	{
		die("Failed to open file \"backend/securitycheck.php\" in read mode. It should now be microwaved.");
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="generator" content="CoffeeCup HTML Editor (www.coffeecup.com)">
    <meta name="created" content="Wed, 17 Jun 2015 12:33:52 GMT">
    <meta name="description" content="Listening to a live stream? Got a song you have to hear? This is the place to request it!">
	<link rel="shortcut icon" href="backend/favicon.ico">
    <title><?php echo $sysname; ?>Music Request System-Set System ID</title>
    
    <style type="text/css">
    <!--
    body {
      color:#000000;
	  background-color:#FFFFFF;
      background-image:url('backend/background.gif');
      background-repeat:repeat;
    }
    a  { color:#FFFFFF; background-color:#0000FF; }
    a:visited { color:#FFFFFF; background-color:#800080; }
    a:hover { color:#000000; background-color:#00FF00; }
    a:active { color:#000000; background-color:#FF0000; }
    -->
    </style>
<?php
    //Set status
    $status=3;
	//Write the contents of the song list into the base list
	if(file_exists("backend/logging.txt") && file_get_contents("backend/logging.txt") == "yes")
	{
		//Logging enabled
		//Change the timezone
		if(file_exists("backend/timezone.txt"))
		{
			date_default_timezone_set(file_get_contents("backend/timezone.txt"));
		}
		else
		{
			date_default_timezone_set("America/Toronto");
		}
		$ip=$_SERVER['REMOTE_ADDR'];
		$fh=fopen("log/" . date("Ymd") . ".txt",'a') or die("Failed to open file \"log/" . date("Ymd") . ".txt\" in append mode. It should now be microwaved.");
		if(securitycheck() === true && $_GET['s'] == "y")
		{
            $fh2=fopen("backend/sysid.txt",'w');
			if($fh2)
			{
				fwrite($fh2,rand());
				fclose($fh2);
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Set new system ID\r\n");
				$status=0;
			}
			else
			{
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Failed to set system ID; cannot open file\r\n");
				$status=1;
			}
			fclose($fh);
		}
		elseif($_GET['s'] == "y" && securitycheck() !== true)
		{
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Failed to set system ID; not administrator\r\n");
			fclose($fh);
            $status=2;
		}
	}
	else
	{
		//Logging disabled
		if(securitycheck() === true && $_GET['s'] == "y")
		{
            $fh2=fopen("backend/sysid.txt",'w');
			if($fh2)
			{
				fwrite($fh2,rand());
				fclose($fh2);
				$status=0;
			}
			else
			{
				$status=1;
			}
		}
		elseif($_GET['s'] == "y" && securitycheck() !== true)
		{
            $status=2;
		}
	}
	if($_GET['s'] == "y")
	{
		echo ("<script type=\"text/javascript\">window.location = \"index.php?idstat=" . $status . "\"</script>");
	}
?>
  </head>
  <body>
  <h1 style="text-align:center; text-decoration:underline;"><?php echo $sysname; ?>Music Request System-Set/Reset System ID</h1>
  <p>System IDs are used as part of the system's authentication method; when set, a particular session will be tied to a particular system.<br>
  <b>Resetting this value will log you out.</b> Are you sure you wish to proceed?</p>
  <p><a href="sysidset.php?s=y">Proceed</a> or <a href="admin.php">Cancel</a></p>
  </body>
</html>